﻿/**Begin D:\nextcloud\PDM_UPGRADE\PDM1\MBIS_constraint.sql **/
 EXEC P_ALTERPK 'PK_VIP_CANCARDBILL', 'T_VIP_CANCARDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CANCARDBILL') CREATE INDEX IDX_VIP_CANCARDBILL ON T_VIP_CANCARDBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_CANCARDBILL_L', 'T_VIP_CANCARDBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CANCARDBILL_L') CREATE INDEX IDX_VIP_CANCARDBILL_L ON T_VIP_CANCARDBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CANCARDBILLENTRY', 'T_VIP_CANCARDBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CANCARDBILLENTRY') CREATE INDEX IDX_VIP_CANCARDBILLENTRY ON T_VIP_CANCARDBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_CANCARDBILLENTRY2', 'T_VIP_CANCARDBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CANCARDBILLENTRY2') CREATE INDEX IDX_VIP_CANCARDBILLENTRY2 ON T_VIP_CANCARDBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_CARDACCTS', 'T_VIP_CARDACCTS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACCTS_ACCTID') CREATE INDEX IDX_VIP_CARDACCTS_ACCTID ON T_VIP_CARDACCTS ( FACCOUNTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACCTS_CARDID') CREATE INDEX IDX_VIP_CARDACCTS_CARDID ON T_VIP_CARDACCTS ( FID );


 EXEC P_ALTERPK 'PK_VIP_CARDACCTTYPE', 'T_VIP_CARDACCTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACCTTYPE') CREATE UNIQUE INDEX IDX_VIP_CARDACCTTYPE ON T_VIP_CARDACCTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_CARDACCTTYPE_L', 'T_VIP_CARDACCTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACCTTYPE_L') CREATE INDEX IDX_VIP_CARDACCTTYPE_L ON T_VIP_CARDACCTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CARDACTION', 'T_VIP_CARDACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_CARDNO') CREATE INDEX IDX_VIP_CARDACTION_CARDNO ON T_VIP_CARDACTION ( FCARDNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_DATE') CREATE INDEX IDX_VIP_CARDACTION_DATE ON T_VIP_CARDACTION ( FDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_VIPID') CREATE INDEX IDX_VIP_CARDACTION_VIPID ON T_VIP_CARDACTION ( FVIPID );


 EXEC P_ALTERPK 'PK_VIP_CARDLEVEL', 'T_VIP_CARDLEVEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDLEVEL') CREATE INDEX IDX_VIP_CARDLEVEL ON T_VIP_CARDLEVEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_CARDLEVEL_L', 'T_VIP_CARDLEVEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDLEVEL_L') CREATE INDEX IDX_VIP_CARDLEVEL_L ON T_VIP_CARDLEVEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CARDRULE_L', 'T_VIP_CARDRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDRULE_L') CREATE INDEX IDX_VIP_CARDRULE_L ON T_VIP_CARDRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CARDRULEENTRY', 'T_VIP_CARDRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDRULEENTRY') CREATE INDEX IDX_VIP_CARDRULEENTRY ON T_VIP_CARDRULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_CARDRULEENTRY2', 'T_VIP_CARDRULEENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDRULEENTRY2') CREATE INDEX IDX_VIP_CARDRULEENTRY2 ON T_VIP_CARDRULEENTRY2 ( FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_CARDTYPE', 'T_VIP_CARDTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDTYPE') CREATE UNIQUE INDEX IDX_VIP_CARDTYPE ON T_VIP_CARDTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_CARDTYPE_L', 'T_VIP_CARDTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDTYPE_L') CREATE INDEX IDX_VIP_CARDTYPE_L ON T_VIP_CARDTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CARDTYPEACCTS', 'T_VIP_CARDTYPEACCTS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDTYPEACCTS_FK') CREATE INDEX IDX_VIP_CARDTYPEACCTS_FK ON T_VIP_CARDTYPEACCTS ( FID );


 EXEC P_ALTERPK 'PK_VIP_CARDTYPESUBACCTS', 'T_VIP_CARDTYPESUBACCTS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDTYPESUBACCTS_FK') CREATE INDEX IDX_VIP_CARDTYPESUBACCTS_FK ON T_VIP_CARDTYPESUBACCTS ( FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_CHANGECARDBILL', 'T_VIP_CHANGECARDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CHANGECARDBILL') CREATE INDEX IDX_VIP_CHANGECARDBILL ON T_VIP_CHANGECARDBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_CHANGECARDBILL_L', 'T_VIP_CHANGECARDBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CHANGECARDBILL_L') CREATE INDEX IDX_VIP_CHANGECARDBILL_L ON T_VIP_CHANGECARDBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CODERULE', 'T_VIP_CODERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CODERULE') CREATE INDEX IDX_VIP_CODERULE ON T_VIP_CODERULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_CODERULE_L', 'T_VIP_CODERULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CODERULE_L') CREATE INDEX IDX_VIP_CODERULE_L ON T_VIP_CODERULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CODERULEENTRY', 'T_VIP_CODERULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CODERULEENTRY') CREATE INDEX IDX_VIP_CODERULEENTRY ON T_VIP_CODERULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_CODERULEMAXSERIAL', 'T_VIP_CODERULEMAXSERIAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CODERULEMAXSERIAL') CREATE INDEX IDX_VIP_CODERULEMAXSERIAL ON T_VIP_CODERULEMAXSERIAL ( FCODERULE );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY', 'T_VIP_CONSUMEBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY ON T_VIP_CONSUMEBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY1', 'T_VIP_CONSUMEBILLENTRY1', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY1') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY1 ON T_VIP_CONSUMEBILLENTRY1 ( FID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY3', 'T_VIP_CONSUMEBILLENTRY3', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY3') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY3 ON T_VIP_CONSUMEBILLENTRY3 ( FID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY4', 'T_VIP_CONSUMEBILLENTRY4', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY4') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY4 ON T_VIP_CONSUMEBILLENTRY4 ( FID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY22', 'T_VIP_CONSUMEBILLENTRY22', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY22') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY22 ON T_VIP_CONSUMEBILLENTRY22 ( FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY33', 'T_VIP_CONSUMEBILLENTRY33', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY33') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY33 ON T_VIP_CONSUMEBILLENTRY33 ( FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILL_L', 'T_VIP_EXPOINTSBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_VIP_EXPOINTSBILL_L') CREATE INDEX IDX_T_VIP_EXPOINTSBILL_L ON T_VIP_EXPOINTSBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILLENTRY', 'T_VIP_EXPOINTSBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_EXPOINTSBILLENTRY') CREATE INDEX IDX_VIP_EXPOINTSBILLENTRY ON T_VIP_EXPOINTSBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILLENTRY1', 'T_VIP_EXPOINTSBILLENTRY1', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_EXPOINTSBILLENTRY1') CREATE INDEX IDX_VIP_EXPOINTSBILLENTRY1 ON T_VIP_EXPOINTSBILLENTRY1 ( FID );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILLENTRY2', 'T_VIP_EXPOINTSBILLENTRY2', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_EXPOINTSBILLENTRY2') CREATE INDEX IDX_VIP_EXPOINTSBILLENTRY2 ON T_VIP_EXPOINTSBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_ISSUECARDBILL', 'T_VIP_ISSUECARDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ISSUECARDBILL') CREATE INDEX IDX_VIP_ISSUECARDBILL ON T_VIP_ISSUECARDBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_ISSUECARDBILL_L', 'T_VIP_ISSUECARDBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ISSUECARDBILL_L') CREATE INDEX IDX_VIP_ISSUECARDBILL_L ON T_VIP_ISSUECARDBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_VIP_ISSUECARDBILLENTRY', 'T_VIP_ISSUECARDBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ISSUECARDBILLENTRY') CREATE INDEX IDX_VIP_ISSUECARDBILLENTRY ON T_VIP_ISSUECARDBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_ISSUECARDBILLENTRY2', 'T_VIP_ISSUECARDBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ISSUECARDBILLENTRY2') CREATE INDEX IDX_VIP_ISSUECARDBILLENTRY2 ON T_VIP_ISSUECARDBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_LABEL', 'T_VIP_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_LABEL') CREATE UNIQUE INDEX IDX_VIP_LABEL ON T_VIP_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_LABEL_L', 'T_VIP_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_LABEL_L') CREATE INDEX IDX_VIP_LABEL_L ON T_VIP_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_LABELGROUP', 'T_VIP_LABELGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_LABELGROUP') CREATE INDEX IDX_VIP_LABELGROUP ON T_VIP_LABELGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_LABELGROUP_L', 'T_VIP_LABELGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_LABELGROUP_L') CREATE INDEX IDX_VIP_LABELGROUP_L ON T_VIP_LABELGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_RECHAMTBILL_L', 'T_VIP_RECHAMTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_L') CREATE INDEX IDX_VIP_RECHAMTBILL_L ON T_VIP_RECHAMTBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_RECHAMTBILLENTRY', 'T_VIP_RECHAMTBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILLENTRY') CREATE INDEX IDX_VIP_RECHAMTBILLENTRY ON T_VIP_RECHAMTBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_RECHAMTBILLENTRY2', 'T_VIP_RECHAMTBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILLENTRY2') CREATE INDEX IDX_VIP_RECHAMTBILLENTRY2 ON T_VIP_RECHAMTBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_RECHAMTBILLENTRY3', 'T_VIP_RECHAMTBILLENTRY3', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILLENTRY3') CREATE INDEX IDX_VIP_RECHAMTBILLENTRY3 ON T_VIP_RECHAMTBILLENTRY3 ( FID );


 EXEC P_ALTERPK 'PK_VIP_SUBCARDACCTS', 'T_VIP_SUBCARDACCTS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_SUBCARDACCTS') CREATE INDEX IDX_VIP_SUBCARDACCTS ON T_VIP_SUBCARDACCTS ( FSUBACCOUNTID );


 EXEC P_ALTERPK 'PK_VIP_TRANSFERBILL', 'T_VIP_TRANSFERBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_TRANSFERBILL') CREATE INDEX IDX_VIP_TRANSFERBILL ON T_VIP_TRANSFERBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_TRANSFERBILL_L', 'T_VIP_TRANSFERBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_TRANSFERBILL_L') CREATE INDEX IDX_VIP_TRANSFERBILL_L ON T_VIP_TRANSFERBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_VIPADDRESS', 'T_VIP_VIPADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPADDRESS') CREATE INDEX IDX_VIP_VIPADDRESS ON T_VIP_VIPADDRESS ( FID );


 EXEC P_ALTERPK 'PK_VIP_VIPCARD_L', 'T_VIP_VIPCARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCARD_L') CREATE INDEX IDX_VIP_VIPCARD_L ON T_VIP_VIPCARD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_VIPCERTIFICATE', 'T_VIP_VIPCERTIFICATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCERTIFICATE') CREATE INDEX IDX_VIP_VIPCERTIFICATE ON T_VIP_VIPCERTIFICATE ( FID );


 EXEC P_ALTERPK 'PK_VIP_VIPCERTIFICATE_L', 'T_VIP_VIPCERTIFICATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCERTIFICATE_L') CREATE INDEX IDX_VIP_VIPCERTIFICATE_L ON T_VIP_VIPCERTIFICATE_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_VIPCOMMDAY', 'T_VIP_VIPCOMMDAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCOMMDAY') CREATE INDEX IDX_VIP_VIPCOMMDAY ON T_VIP_VIPCOMMDAY ( FID );


 EXEC P_ALTERPK 'PK_VIP_VIPCOMMDAY_L', 'T_VIP_VIPCOMMDAY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCOMMDAY_L') CREATE INDEX IDX_VIP_VIPCOMMDAY_L ON T_VIP_VIPCOMMDAY_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_VIPINFO', 'T_VIP_VIPINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPINFO') CREATE INDEX IDX_VIP_VIPINFO ON T_VIP_VIPINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_VIPINFO_L', 'T_VIP_VIPINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPINFO_L') CREATE INDEX IDX_VIP_VIPINFO_L ON T_VIP_VIPINFO_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_VIPINFO_U', 'T_VIP_VIPINFO_U', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPINFO_U') CREATE INDEX IDX_VIP_VIPINFO_U ON T_VIP_VIPINFO_U ( FVIPTYPE );


 EXEC P_ALTERPK 'PK_VIP_VIPINFOGROUP', 'T_VIP_VIPINFOGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPINFOGROUP') CREATE INDEX IDX_VIP_VIPINFOGROUP ON T_VIP_VIPINFOGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_VIP_VIPINFOGROUP_L', 'T_VIP_VIPINFOGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPINFOGROUP_L') CREATE INDEX IDX_VIP_VIPINFOGROUP_L ON T_VIP_VIPINFOGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILL_L', 'T_VIP_RECHTIMESBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILL_L') CREATE INDEX IDX_VIP_RECHTIMESBILL_L ON T_VIP_RECHTIMESBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILLENTRY', 'T_VIP_RECHTIMESBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY ON T_VIP_RECHTIMESBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILLENTRY1', 'T_VIP_RECHTIMESBILLENTRY1', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY1') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY1 ON T_VIP_RECHTIMESBILLENTRY1 ( FID );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILLENTRY2', 'T_VIP_RECHTIMESBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY2') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY2 ON T_VIP_RECHTIMESBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILLENTRY3', 'T_VIP_RECHTIMESBILLENTRY3', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY3') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY3 ON T_VIP_RECHTIMESBILLENTRY3 ( FID );


 EXEC P_ALTERPK 'PK_VIP_ADJUSTBALBILL', 'T_VIP_ADJUSTBALBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ADJUSTBALBILL') CREATE INDEX IDX_VIP_ADJUSTBALBILL ON T_VIP_ADJUSTBALBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_ADJUSTBALBILL_L', 'T_VIP_ADJUSTBALBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ADJUSTBALBILL_L') CREATE INDEX IDX_VIP_ADJUSTBALBILL_L ON T_VIP_ADJUSTBALBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CARDACTION_H', 'T_VIP_CARDACTION_H', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_H') CREATE INDEX IDX_VIP_CARDACTION_H ON T_VIP_CARDACTION_H ( FCARDTYPE );


 EXEC P_ALTERPK 'PK_VIP_CARDACTION_U', 'T_VIP_CARDACTION_U', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_U') CREATE INDEX IDX_VIP_CARDACTION_U ON T_VIP_CARDACTION_U ( FORGID ,FOPERTYPE );


 EXEC P_ALTERPK 'PK_VIP_CODERULEMAXSERIAL_L', 'T_VIP_CODERULEMAXSERIAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CODERULEMAXSERIAL_L') CREATE INDEX IDX_VIP_CODERULEMAXSERIAL_L ON T_VIP_CODERULEMAXSERIAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILL_L', 'T_VIP_CONSUMEBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILL_L') CREATE INDEX IDX_VIP_CONSUMEBILL_L ON T_VIP_CONSUMEBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_VIP_VIPLABEL', 'T_VIP_VIPLABEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPLABEL') CREATE INDEX IDX_VIP_VIPLABEL ON T_VIP_VIPLABEL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILL', 'T_VIP_CONSUMEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILL') CREATE INDEX IDX_VIP_CONSUMEBILL ON T_VIP_CONSUMEBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILL', 'T_VIP_EXPOINTSBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_EXPOINTSBILL') CREATE INDEX IDX_VIP_EXPOINTSBILL ON T_VIP_EXPOINTSBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_RECHAMTBILL', 'T_VIP_RECHAMTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL') CREATE INDEX IDX_VIP_RECHAMTBILL ON T_VIP_RECHAMTBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_RECHTIMESBILL', 'T_VIP_RECHTIMESBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILL') CREATE INDEX IDX_VIP_RECHTIMESBILL ON T_VIP_RECHTIMESBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_VIP_VIPADDRESS_L', 'T_VIP_VIPADDRESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPADDRESS_L') CREATE INDEX IDX_VIP_VIPADDRESS_L ON T_VIP_VIPADDRESS_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_VIP_CONSUMEBILLENTRY2', 'T_VIP_CONSUMEBILLENTRY2', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CONSUMEBILLENTRY2') CREATE INDEX IDX_VIP_CONSUMEBILLENTRY2 ON T_VIP_CONSUMEBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_TRANSFERBILLENTRY', 'T_VIP_TRANSFERBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_TRANSFERBILLENTRY') CREATE INDEX IDX_VIP_TRANSFERBILLENTRY ON T_VIP_TRANSFERBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_TRANSFERBILLENTRY2', 'T_VIP_TRANSFERBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_TRANSFERBILLENTRY2') CREATE INDEX IDX_VIP_TRANSFERBILLENTRY2 ON T_VIP_TRANSFERBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_ADJUSTBALBILLENTRY', 'T_VIP_ADJUSTBALBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ADJUSTBALBILLENTRY') CREATE INDEX IDX_VIP_ADJUSTBALBILLENTRY ON T_VIP_ADJUSTBALBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_VIP_ADJUSTBALBILLENTRY2', 'T_VIP_ADJUSTBALBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_ADJUSTBALENTRY2') CREATE INDEX IDX_VIP_ADJUSTBALENTRY2 ON T_VIP_ADJUSTBALBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_VIP_EXPOINTSBILLENTRY3', 'T_VIP_EXPOINTSBILLENTRY3', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_EXPOINTSBILLENTRY3') CREATE INDEX IDX_VIP_EXPOINTSBILLENTRY3 ON T_VIP_EXPOINTSBILLENTRY3 ( FID );


 EXEC P_ALTERPK 'PK_VIP_CARDACTION_D', 'T_VIP_CARDACTION_D', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDACTION_D') CREATE INDEX IDX_VIP_CARDACTION_D ON T_VIP_CARDACTION_D ( FSUBACCOUNTID );


 EXEC P_ALTERPK 'PK_T_VIP_VIPCARD', 'T_VIP_VIPCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCARD_VIPID') CREATE INDEX IDX_VIP_VIPCARD_VIPID ON T_VIP_VIPCARD ( FVIPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_VIPCARD_CARDNO') CREATE INDEX IDX_VIP_VIPCARD_CARDNO ON T_VIP_VIPCARD ( FCARDNO );


 EXEC P_ALTERPK 'PK_VIP_CARDRULE', 'T_VIP_CARDRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_CARDRULE_NUMBER') CREATE INDEX IDX_VIP_CARDRULE_NUMBER ON T_VIP_CARDRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONACTION', 'T_COUPON_COUPONACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONACTION_VIPID') CREATE INDEX IDX_COUPONACTION_VIPID ON T_COUPON_COUPONACTION ( FVIPID ,FCOUPONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONACTION_COUPONNO') CREATE INDEX IDX_COUPONACTION_COUPONNO ON T_COUPON_COUPONACTION ( FCOUPONNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONACTION_FDATE') CREATE INDEX IDX_COUPONACTION_FDATE ON T_COUPON_COUPONACTION ( FDATE );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONINFO', 'T_COUPON_COUPONINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONINFO_VIPID') CREATE INDEX IDX_COUPONINFO_VIPID ON T_COUPON_COUPONINFO ( FVIPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONINFO_COUPONNO') CREATE INDEX IDX_COUPONINFO_COUPONNO ON T_COUPON_COUPONINFO ( FCOUPONNO );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONINFO_L', 'T_COUPON_COUPONINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONINFO_L') CREATE INDEX IDX_COUPON_COUPONINFO_L ON T_COUPON_COUPONINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONINFO_U', 'T_COUPON_COUPONINFO_U', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONINFO_U') CREATE INDEX IDX_COUPON_COUPONINFO_U ON T_COUPON_COUPONINFO_U ( FUSETIME );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONRULE', 'T_COUPON_COUPONRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONRULE') CREATE INDEX IDX_COUPON_COUPONRULE ON T_COUPON_COUPONRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONRULE_L', 'T_COUPON_COUPONRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONRULE_L') CREATE INDEX IDX_COUPON_COUPONRULE_L ON T_COUPON_COUPONRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONRULE_U', 'T_COUPON_COUPONRULE_U', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONRULE_U') CREATE INDEX IDX_COUPON_COUPONRULE_U ON T_COUPON_COUPONRULE_U ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONACTION_H', 'T_COUPON_COUPONACTION_H', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPONACTION_H') CREATE INDEX IDX_COUPONACTION_H ON T_COUPON_COUPONACTION_H ( FCOUPONTYPE );


 EXEC P_ALTERPK 'PK_T_COUPON_COUPONACTION_U', 'T_COUPON_COUPONACTION_U', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_COUPONACTION_U') CREATE INDEX IDX_COUPON_COUPONACTION_U ON T_COUPON_COUPONACTION_U ( FOPERTYPE );


 EXEC P_ALTERPK 'PK_T_COUPON_ISSUECOUPONBILL', 'T_COUPON_ISSUECOUPONBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_ISSUECOUPONBILL') CREATE INDEX IDX_COUPON_ISSUECOUPONBILL ON T_COUPON_ISSUECOUPONBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_COUPON_ISSUECOUPONBILL_L', 'T_COUPON_ISSUECOUPONBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_ISSUECOUPONBILL_L') CREATE INDEX IDX_COUPON_ISSUECOUPONBILL_L ON T_COUPON_ISSUECOUPONBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_COUPON_ISSUECOUPONENTRY', 'T_COUPON_ISSUECOUPONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_ISSUECOUPONENTRY') CREATE INDEX IDX_COUPON_ISSUECOUPONENTRY ON T_COUPON_ISSUECOUPONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_COUPON_RECCOUPONBILL', 'T_COUPON_RECCOUPONBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_RECCOUPONBILL') CREATE INDEX IDX_COUPON_RECCOUPONBILL ON T_COUPON_RECCOUPONBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_COUPON_RECCOUPONBILL_L', 'T_COUPON_RECCOUPONBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_RECCOUPONBILL_L') CREATE INDEX IDX_COUPON_RECCOUPONBILL_L ON T_COUPON_RECCOUPONBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_COUPON_RECCOUPONENTRY', 'T_COUPON_RECCOUPONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_RECCOUPONENTRY') CREATE INDEX IDX_COUPON_RECCOUPONENTRY ON T_COUPON_RECCOUPONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_COUPON_USECOUPONBILL', 'T_COUPON_USECOUPONBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_USECOUPONBILL') CREATE INDEX IDX_COUPON_USECOUPONBILL ON T_COUPON_USECOUPONBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_COUPON_USECOUPONBILL_L', 'T_COUPON_USECOUPONBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_USECOUPONBILL_L') CREATE INDEX IDX_COUPON_USECOUPONBILL_L ON T_COUPON_USECOUPONBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_COUPON_USECOUPONENTRY', 'T_COUPON_USECOUPONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_COUPON_USECOUPONENTRY') CREATE INDEX IDX_COUPON_USECOUPONENTRY ON T_COUPON_USECOUPONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_PRESENTBILL', 'T_VIP_PRESENTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_PRESENTBILL') CREATE INDEX IDX_VIP_PRESENTBILL ON T_VIP_PRESENTBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_VIP_PRESENTBILL_L', 'T_VIP_PRESENTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_PRESENTBILL_L') CREATE INDEX IDX_VIP_PRESENTBILL_L ON T_VIP_PRESENTBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_VIP_PRESENTBILLENTRY', 'T_VIP_PRESENTBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_PRESENTBILLENTRY') CREATE INDEX IDX_VIP_PRESENTBILLENTRY ON T_VIP_PRESENTBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_PRESENTBILLENTRY2', 'T_VIP_PRESENTBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_PRESENTBILLENTRY2') CREATE INDEX IDX_VIP_PRESENTBILLENTRY2 ON T_VIP_PRESENTBILLENTRY2 ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_DEDUCTBILL', 'T_VIP_DEDUCTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DEDUCTBILL') CREATE INDEX IDX_VIP_DEDUCTBILL ON T_VIP_DEDUCTBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_VIP_DEDUCTBILL_L', 'T_VIP_DEDUCTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DEDUCTBILL_L') CREATE INDEX IDX_VIP_DEDUCTBILL_L ON T_VIP_DEDUCTBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_VIP_DEDUCTBILLENTRY', 'T_VIP_DEDUCTBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DEDUCTBILLENTRY') CREATE INDEX IDX_VIP_DEDUCTBILLENTRY ON T_VIP_DEDUCTBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_DEDUCTBILLENTRY2', 'T_VIP_DEDUCTBILLENTRY2', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DEDUCTBILLENTRY2') CREATE INDEX IDX_VIP_DEDUCTBILLENTRY2 ON T_VIP_DEDUCTBILLENTRY2 ( FID );



/**End D:\nextcloud\PDM_UPGRADE\PDM1\MBIS_constraint.sql **/
