﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE', 'T_SCHEME_RECHARGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE') CREATE INDEX IDX_SCHEME_RECHARGE ON T_SCHEME_RECHARGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_C', 'T_SCHEME_RECHARGE_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_C') CREATE INDEX IDX_SCHEME_RECHARGE_C ON T_SCHEME_RECHARGE_C ( FVIPSCOPE );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_CHANNEL', 'T_SCHEME_RECHARGE_CHANNEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_CHANNEL') CREATE INDEX IDX_SCHEME_RECHARGE_CHANNEL ON T_SCHEME_RECHARGE_CHANNEL ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_COUNT', 'T_SCHEME_RECHARGE_COUNT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_COUNT') CREATE INDEX IDX_SCHEME_RECHARGE_COUNT ON T_SCHEME_RECHARGE_COUNT ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_COUPON', 'T_SCHEME_RECHARGE_COUPON', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_COUPON') CREATE INDEX IDX_SCHEME_RECHARGE_COUPON ON T_SCHEME_RECHARGE_COUPON ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_ITEM', 'T_SCHEME_RECHARGE_ITEM', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_ITEM') CREATE INDEX IDX_SCHEME_RECHARGE_ITEM ON T_SCHEME_RECHARGE_ITEM ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_L', 'T_SCHEME_RECHARGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_L') CREATE INDEX IDX_SCHEME_RECHARGE_L ON T_SCHEME_RECHARGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_RET', 'T_SCHEME_RECHARGE_RET', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_RET') CREATE INDEX IDX_SCHEME_RECHARGE_RET ON T_SCHEME_RECHARGE_RET ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_RULE', 'T_SCHEME_RECHARGE_RULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_RULE') CREATE INDEX IDX_SCHEME_RECHARGE_RULE ON T_SCHEME_RECHARGE_RULE ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_RULE_T', 'T_SCHEME_RECHARGE_RULE_T', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_RULE_T') CREATE INDEX IDX_SCHEME_RECHARGE_RULE_T ON T_SCHEME_RECHARGE_RULE_T ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_SHOP', 'T_SCHEME_RECHARGE_SHOP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_SHOP') CREATE INDEX IDX_SCHEME_RECHARGE_SHOP ON T_SCHEME_RECHARGE_SHOP ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_T_R', 'T_SCHEME_RECHARGE_T_R', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_T_R') CREATE INDEX IDX_SCHEME_RECHARGE_T_R ON T_SCHEME_RECHARGE_T_R ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_VIP', 'T_SCHEME_RECHARGE_VIP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_VIP') CREATE INDEX IDX_SCHEME_RECHARGE_VIP ON T_SCHEME_RECHARGE_VIP ( FDIMEID );


 EXEC P_ALTERPK 'PK_T_SCHEME_RECHARGE_VIP_T', 'T_SCHEME_RECHARGE_VIP_T', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_RECHARGE_VIP_T') CREATE INDEX IDX_SCHEME_RECHARGE_VIP_T ON T_SCHEME_RECHARGE_VIP_T ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_VIP_DIME', 'T_VIP_DIME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DIME') CREATE UNIQUE INDEX IDX_VIP_DIME ON T_VIP_DIME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_VIP_DIME_L', 'T_VIP_DIME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DIME_L') CREATE INDEX IDX_VIP_DIME_L ON T_VIP_DIME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_VIP_DIMEENTRY', 'T_VIP_DIMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DIMEENTRY') CREATE INDEX IDX_VIP_DIMEENTRY ON T_VIP_DIMEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_DIMEGROUP', 'T_VIP_DIMEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DIMEGROUP') CREATE UNIQUE INDEX IDX_VIP_DIMEGROUP ON T_VIP_DIMEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_VIP_DIMEGROUP_L', 'T_VIP_DIMEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_DIMEGROUP_L') CREATE INDEX IDX_VIP_DIMEGROUP_L ON T_VIP_DIMEGROUP_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_constraint.sql **/
