﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS') 
 CREATE TABLE T_SCHEME_POINTS (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPICTUREFILE VARCHAR(255) DEFAULT ' ' NOT NULL,
FDOUBLEPOINTS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_C') 
 CREATE TABLE T_SCHEME_POINTS_C (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FVIPAPPLY CHAR(1) DEFAULT ' ' NOT NULL,
FTIMESCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FGOODSSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FSETTLEMENTSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FSHOPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FCHANNELSCOPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_CHANNEL') 
 CREATE TABLE T_SCHEME_POINTS_CHANNEL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_ITEM') 
 CREATE TABLE T_SCHEME_POINTS_ITEM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FITEMTYPE BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_L') 
 CREATE TABLE T_SCHEME_POINTS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_RULE') 
 CREATE TABLE T_SCHEME_POINTS_RULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUEEND DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_SETTLE') 
 CREATE TABLE T_SCHEME_POINTS_SETTLE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_SHOP') 
 CREATE TABLE T_SCHEME_POINTS_SHOP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_TIMES') 
 CREATE TABLE T_SCHEME_POINTS_TIMES (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDIMEID BIGINT DEFAULT 0 NOT NULL 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_TIMES_T') 
 CREATE TABLE T_SCHEME_POINTS_TIMES_T (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUEID BIGINT DEFAULT 0 NOT NULL,
FBIRTHTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIRTHAFTER INT DEFAULT 0 NOT NULL,
FBIRTHBEFORE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_VIP') 
 CREATE TABLE T_SCHEME_POINTS_VIP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDIMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_POINTS_VIP_T') 
 CREATE TABLE T_SCHEME_POINTS_VIP_T (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_D') 
 CREATE TABLE T_VIP_RECHAMTBILL_D (
FID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTRADENO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZORID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_P') 
 CREATE TABLE T_VIP_RECHAMTBILL_P (
FID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_PAY') 
 CREATE TABLE T_VIP_RECHAMTBILL_PAY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHBASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_RET') 
 CREATE TABLE T_VIP_RECHAMTBILL_RET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FRETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETDATE DATETIME,
FRETSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_T') 
 CREATE TABLE T_VIP_RECHAMTBILL_T (
FID BIGINT DEFAULT 0 NOT NULL,
FRETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETDATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETDATE DATETIME,
FRETPERIODDAYS INT DEFAULT 0 NOT NULL,
FRETTIMES INT DEFAULT 0 NOT NULL,
FRETVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETFIRSTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETFIRSTPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETINCREASERATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY4') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY5') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY5 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOUPONRULE BIGINT DEFAULT 0 NOT NULL,
FCOUPONQTY INT DEFAULT 0 NOT NULL,
FVALIDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTIMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDELAYDAYS INT DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL_D') 
 CREATE TABLE T_VIP_RECHTIMESBILL_D (
FID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTRADENO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZORID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL_P') 
 CREATE TABLE T_VIP_RECHTIMESBILL_P (
FID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL_PAY') 
 CREATE TABLE T_VIP_RECHTIMESBILL_PAY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHBASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY4') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY5') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY5 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOUPONRULE BIGINT DEFAULT 0 NOT NULL,
FCOUPONQTY INT DEFAULT 0 NOT NULL,
FVALIDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTIMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDELAYDAYS INT DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHAMTBILLENTRY3' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_VIP_RECHAMTBILLENTRY3 ADD (FTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHAMTBILLENTRY3' AND KSQL_COL_NAME ='FCOUPONID') 
 ALTER TABLE T_VIP_RECHAMTBILLENTRY3 ADD (FCOUPONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHAMTBILLENTRY3' AND KSQL_COL_NAME ='FCOUPONPACKID') 
 ALTER TABLE T_VIP_RECHAMTBILLENTRY3 ADD (FCOUPONPACKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY3' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY3 ADD (FTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY3' AND KSQL_COL_NAME ='FCOUPONID') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY3 ADD (FCOUPONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY3' AND KSQL_COL_NAME ='FCOUPONPACKID') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY3 ADD (FCOUPONPACKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHAMTBILLENTRY2' AND KSQL_COL_NAME ='FVALIDDAYS') 
 ALTER TABLE T_VIP_RECHAMTBILLENTRY2 ADD (FVALIDDAYS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY' AND KSQL_COL_NAME ='FSCHEMEID') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY ADD (FSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY' AND KSQL_COL_NAME ='FPRICE') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY ADD (FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY2' AND KSQL_COL_NAME ='FVALIDDAYS') 
 ALTER TABLE T_VIP_RECHTIMESBILLENTRY2 ADD (FVALIDDAYS INT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
